@import "../../mixins.scss";

.organizer-container {
  height: var(--full-width);
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  align-items: center;

  .organizer-content {
    width: 30%;

    li {
      display: flex;
      flex-direction: row;
      align-items: center;

      span {
        background: var(--active-cell-color);
        color: var(--dark-color);
        padding: var(--space-sm) var(--space-md);
        cursor: pointer;
        width: var(--full-width);
        display: block;

        @include make-transition(all, .2s);

        &:hover {
          background: var(--disabled-color);
          color: var(--dark-color);
        }
      }

      i {
        padding: 0 var(--space-sm);
        line-height: 35px;
        background: var(--active-cell-color);
        @include make-transition(color, .2s);
        cursor: pointer;

        &:hover {
          color: var(--primary-color)
        }
      }
    }

    & > div {
      background: var(--active-cell-color);
      color: var(--dark-color);
      padding: var(--space-sm) var(--space-md);
      width: var(--full-width);
    }
  }

  .organizer-actions {
    height: var(--full-width);
    width: 30%;

    form {
      height: var(--full-width);
      display: flex;
      flex-direction: column;
      justify-content: center;

      input {
        padding: var(--space-sm) var(--space-md);
        font-size: 1.2em;
        margin-bottom: var(--space-md);
      }

      textarea {
        height: 100px;
        padding: var(--space-sm) var(--space-md);
        font-size: 1em;
        font-family: 'Roboto';
        margin-bottom: var(--space-md);
        resize: none;
      }

      button {
        padding: var(--space-sm) var(--space-md);
        font-size: 1em;
        background: var(--primary-color);
        color: var(--light-color);
        border: 0;
        cursor: pointer;
        opacity: .8;
        @include make-transition(opacity, .2s);

        &:disabled {
          cursor: not-allowed;

          &:hover {
            opacity: .8;
          }
        }

        &:hover {
          opacity: 1;
        }
      }
    }
  }
}
